Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primdouble
Class DoubleConstraintMatchTotal

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
          org.optaplanner.core.api.score.constraint.primdouble.DoubleConstraintMatchTotal

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatchTotal>

    public class DoubleConstraintMatchTotal

extends ConstraintMatchTotal

See Also:
  Serialized Form

Field Summary
`protected Set<DoubleConstraintMatch>` | `constraintMatchSet`
`protected double` | `weightTotal`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`constraintName, constraintPackage, scoreLevel`

Constructor Summary
`DoubleConstraintMatchTotal(String constraintPackage, String constraintName, int scoreLevel)`

Method Summary
`DoubleConstraintMatch` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, double weight)`
`Set<DoubleConstraintMatch>` | `getConstraintMatchSet()`
`double` | `getWeightTotal()`
`Number` | `getWeightTotalAsNumber()`
`void` | `removeConstraintMatch(DoubleConstraintMatch constraintMatch)`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`compareTo, extractJustificationList, getConstraintName, getConstraintPackage, getIdentificationString, getScoreLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchSet

    protected final Set<DoubleConstraintMatch> constraintMatchSet

### weightTotal

    protected double weightTotal

Constructor Detail

### DoubleConstraintMatchTotal

    public DoubleConstraintMatchTotal(String constraintPackage,
                                      String constraintName,
                                      int scoreLevel)

Method Detail

### getConstraintMatchSet

    public Set<DoubleConstraintMatch> getConstraintMatchSet()

  Specified by:
    `getConstraintMatchSet` in class `ConstraintMatchTotal`

### getWeightTotal

    public double getWeightTotal()

### getWeightTotalAsNumber

    public Number getWeightTotalAsNumber()

  Specified by:
    `getWeightTotalAsNumber` in class `ConstraintMatchTotal`

### addConstraintMatch

    public DoubleConstraintMatch addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                                    double weight)

### removeConstraintMatch

    public void removeConstraintMatch(DoubleConstraintMatch constraintMatch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.